MYSQLROUTER_PLUGIN_INFO(1)

NAME
mysqlrouter_plugin_info - MySQL Router Plugin Information

SYNOPSIS

mysqlrouter_plugin_info [options]

DESCRIPTION

The mysqlrouter_plugin_info utility is a debugging tool that inspects a MySQL Router plugin for potential conflicts and general problems.

Usage information:

    shell> ./mysqlrouter_plugin_info --help
    Usage:
      ./mysqlrouter_plugin_info <mysqlrouter_plugin_file> <mysql_plugin_name>
    Example:
      ./mysqlrouter_plugin_info /usr/lib/mysqlrouter/routing.so routing
    To print help information:
      ./mysqlrouter_plugin_info --help
    To print application version:
      ./mysqlrouter_plugin_info --version
    shell> ./bin/mysqlrouter_plugin_info --version
    MySQLRouter Plugin Info App 8.0.3

Example usage:

    shell> ./bin/mysqlrouter_plugin_info lib/mysqlrouter/routing.so routing
    {
        "abi-version": "2.0",
        "arch-descriptor": "i386/darwin//",
        "brief": "Routing MySQL connections between MySQL clients/connectors and servers",
        "plugin-version": "0.0.1",
        "requires": [],
        "conflicts": []
    }

COPYRIGHT

Copyright © 2006, 2019, Oracle and/or its affiliates. All rights reserved.

This documentation is free software; you can redistribute it and/or modify it only under the terms of the GNU General Public License as published by the Free Software Foundation; version 2 of the License.

This documentation is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the program; if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA or see http://www.gnu.org/licenses/.

AUTHOR
Oracle Corporation (http://dev.mysql.com/).